Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Format5Extent

    java.lang.Object
      com.ibm.jzos.sample.fields.Format5Extent

    public class Format5Extent

extends java.lang.Object

A class which maps an available extent in a Format5 DSCB.

See Also:
  `Format5DSCB`

Field Summary
`protected int` | `bufOffset`
`protected byte[]` | `bytes`
`static int` | `EXTLEN` EXTLEN EQU * LENGTH OF EXTENT (5)
`static int` | `F5EXTENT` F5EXTENT DSECT
`protected static AssemblerDatatypeFactory` | `factory`
`protected static BinaryAsIntField` | `FIRSTTRK` FIRSTTRK DS XL2 RELATIVE TRACK ADDR OF FIRST TRACK
`protected static BinaryAsIntField` | `UNUSEDCYL` UNUSEDCYL DS XL2 NUMBER OF UNUSED CYLINDERS
`protected static BinaryAsIntField` | `UNUSEDTRK` UNUSEDTRK DS XL1 NUMBER OF ADDTL UNUSED TRACKS

Constructor Summary
`Format5Extent(byte[] buffer, int bufOffset)`

Method Summary
`int` | `getFirsttrk()`
`int` | `getUnusedcyl()`
`int` | `getUnusedtrk()`
`void` | `setFirsttrk(int firsttrk)`
`void` | `setUnusedcyl(int unusedcyl)`
`void` | `setUnusedtrk(int unusedtrk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static AssemblerDatatypeFactory factory

### F5EXTENT

    public static int F5EXTENT

  F5EXTENT DSECT

### FIRSTTRK

    protected static BinaryAsIntField FIRSTTRK

  FIRSTTRK DS XL2 RELATIVE TRACK ADDR OF FIRST TRACK

### UNUSEDCYL

    protected static BinaryAsIntField UNUSEDCYL

  UNUSEDCYL DS XL2 NUMBER OF UNUSED CYLINDERS

### UNUSEDTRK

    protected static BinaryAsIntField UNUSEDTRK

  UNUSEDTRK DS XL1 NUMBER OF ADDTL UNUSED TRACKS

### EXTLEN

    public static final int EXTLEN

  EXTLEN EQU * LENGTH OF EXTENT (5)

### bytes

    protected byte[] bytes

### bufOffset

    protected int bufOffset

Constructor Detail

### Format5Extent

    public Format5Extent(byte[] buffer,
                         int bufOffset)

Method Detail

### getFirsttrk

    public int getFirsttrk()

### setFirsttrk

    public void setFirsttrk(int firsttrk)

### getUnusedcyl

    public int getUnusedcyl()

### setUnusedcyl

    public void setUnusedcyl(int unusedcyl)

### getUnusedtrk

    public int getUnusedtrk()

### setUnusedtrk

    public void setUnusedtrk(int unusedtrk)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD